<div *ngIf="users.length > 0">
    <h2>User List</h2>
    <ul>
      <li *ngFor="let user of users">
        {{ user.name }} - {{ user.email }}
      </li>
    </ul>
  </div>
  
  <div *ngIf="users.length === 0">
    <p>No users found.</p>
  </div>